Skip to main content
PUT
Update user role in workspace

Authorizations

Authorization
string
header
required

OAuth2 authentication with JWT tokens

FlowAuthorization Code
Authorization URL
/oauth/authorize
Token URL
/oauth/token
FlowClient Credentials
Token URL
/oauth/token
Scopes1
workspaces:update
Update workspaces

Path Parameters

subOrEmail
string
required

Sub or email of the user

Body

application/json
role
string
required

The new role to assign to the user

Response

User role updated successfully

Workspace user

accepted
boolean

Whether the user has accepted the workspace invitation

email
string

Workspace user email

email_verified
boolean

Whether the user's email has been verified

expired
boolean

Whether the invitation has expired

family_name
string

Workspace user family name

given_name
string

Workspace user given name

mfa_enabled
boolean

Whether the user has at least one verified MFA factor. Omitted when the caller is not entitled to see it (only workspace admins and owners see other members' MFA status) and for pending invitations, which have no account yet.

role
string

Workspace user role

source
enum<string>

Source of the user provisioning

Available options:
directory_sync,
invitation,
domain_capture
sub
string

Workspace user identifier

Last modified on October 5, 2026